{% extends 'base.html.twig' %}

{% block title %}Pelicula index{% endblock %}

{% block body %}
    <h1>Pelicula index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nombre</th>
                <th>Sinopsis</th>
                <th>PrecioUnitario</th>
                <th>FechaEstreno</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for pelicula in peliculas %}
            <tr>
                <td>{{ pelicula.id }}</td>
                <td>{{ pelicula.nombre }}</td>
                <td>{{ pelicula.sinopsis }}</td>
                <td>{{ pelicula.precioUnitario }}</td>
                <td>{{ pelicula.fechaEstreno ? pelicula.fechaEstreno|date('Y-m-d') : '' }}</td>
                <td>
                    <a href="{{ path('pelicula_show', {'id': pelicula.id}) }}">show</a>
                    <a href="{{ path('pelicula_edit', {'id': pelicula.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('pelicula_new') }}">Create new</a>
{% endblock %}
